<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
	   xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	   xmlns:context="http://www.springframework.org/schema/context"
	   xmlns:mvc="http://www.springframework.org/schema/mvc"

	   xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd
		http://www.springframework.org/schema/context http://www.springframework.org/schema/context/spring-context.xsd http://www.springframework.org/schema/tool http://www.springframework.org/schema/tool/spring-tool.xsd http://www.springframework.org/schema/mvc https://www.springframework.org/schema/mvc/spring-mvc.xsd">

	<!-- 配置注解扫描器，配置spring容器初始化对象时需要扫描的包 -->
	<context:component-scan base-package="com.ssm.controller"></context:component-scan>
	<!-- 配置视图解析器,ctrl+shift+t搜索类，将return的字符串（逻辑视图）+前缀+后缀，转换成真正的物理视图 -->
	<!-- 逻辑视图：success,真正的视图：/WEB-INF/view/success.jsp -->
	<!--  -->
	<!-- 配置注解驱动 -->
	<mvc:annotation-driven/>
	<bean class="org.springframework.web.servlet.view.InternalResourceViewResolver">
	<!-- 前缀 -->
		<property name="prefix" value="/WEB-INF/view/"></property>
	<!-- 后缀 -->
		<property name="suffix" value=".jsp"></property>
	</bean>
	<bean class="org.springframework.format.support.FormattingConversionServiceFactoryBean">

	</bean>
</beans>
